		if (x % 2 == 0)
		{
			for (j = 0; j < N; j++)
			{
				integral += cos(t * cos(j * dk)) * cos(x * j * dk) * dk; 
			}
		}
		else
		{
			for (j = 0; j < N; j++)
			{
				integral += sin(t * cos(j * dk)) * cos(x * j * dk) * dk; 
			}
		}